package com.malk.delegate.impl;

import com.alibaba.fastjson.JSONObject;
import com.malk.delegate.TBEvent;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class TBImplEvent implements TBEvent {

    @Async
    @Override
    @SneakyThrows
    public void callBackTask(JSONObject eventJson) {
        String eventName = eventJson.getString("event");
        log.info("callBackTask: 未被代理");
    }

    @Async
    @Override
    @SneakyThrows
    public void callBackProject(JSONObject eventJson) {
        String eventName = eventJson.getString("event");
        log.info("callBackProject: 未被代理");
    }
}
